<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<title></title>
	<link rel="icon" href="theme/images/images/Census.ico" type="image/ico">
	
	<!--MqRelPath--><link rel="stylesheet" type="text/css" href="theme/css/border-radius.htc" /><!--/MqRelPath--><!--MqAbsPath><link rel="stylesheet" type="text/css" href="<BASE_VD>/theme/css/border-radius.htc" /></MqAbsPath-->
	<!--MqRelPath--><link rel="stylesheet" type="text/css" href="theme/css/censusmain.css" /><!--/MqRelPath--><!--MqAbsPath><link rel="stylesheet" type="text/css" href="<BASE_VD>/theme/css/censusmain.css" /></MqAbsPath-->
	<!--[if lt IE 9]>
		<link rel="stylesheet" type="text/css" href="Theme/css/CensusMainIE.css" />
	<![endif]-->
	<!--[if lt IE 7]>
		<link rel="stylesheet" type="text/css" href="theme/css/censusmainie6.css" />
	<![endif]-->
	<!--MqRelPath--><script type="text/javascript" src="js/cookies.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cookies.js"></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="js/images.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/images.js"></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="js/window.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/window.js" ></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="js/cmqhttprequest.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqhttprequest.js" ></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="js/cmqsysmsg.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqsysmsg.js" ></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="js/mqsysutils.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqsysutils.js" ></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="js/strings.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/strings.js" ></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="js/constantstimeout.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/constantstimeout.js" ></script></MqAbsPath-->
	
	<link rel="stylesheet" href="js/jquery/jquery.ui.all.css">
	<script src="js/jquery/jquery-1.7.1.js"></script>
	<script src="js/jquery/jquery.bgiframe-2.1.2.js"></script>
	<script src="js/jquery/jquery.ui.core.js"></script>
	<script src="js/jquery/jquery.ui.widget.js"></script>
	<script src="js/jquery/jquery.ui.mouse.js"></script>
	<script src="js/jquery/jquery.ui.draggable.js"></script>
	<script src="js/jquery/jquery.ui.position.js"></script>
	<script src="js/jquery/jquery.ui.resizable.js"></script>
	<script src="js/jquery/jquery.ui.dialog.js"></script>
	<script type="text/javascript" src="js/themes.js"></script>

		
	<script type="text/javascript">
	document.title = g_MqRef.RESX["DASHBOARD_TITLE"]+ " <WC@TITLE>[%1]</WC@TITLE>";
	var m_objMqButton=new MqButton();
	
	history.forward();
	
  var objSysMsg = new CMqSysMsg();
	var objRequest= new CMqHTTPRequest_js();
	
	var blnIsNormalUnload=false;
	
	var m_blnPasswordExpired=<WC@PWD_EXP></WC@PWD_EXP>;
	
	var strCurrentLocation=location.protocol+"//"+location.hostname + ":" + location.port+getPath(location.pathname)
	
	var strClassToolbarbuttonHover;
	
	var m_blnWidgetLibraryWindow = false;

	
    var obrowser = CMqBrowserDetector();
	
	if(obrowser){ 
		if(obrowser.ie && (obrowser.minor == 7 || obrowser.minor == 8)){
			strClassToolbarbuttonHover = 'ToolbarButton ToolbarButtonHoverIE';
		}else{
			strClassToolbarbuttonHover = 'ToolbarButton ToolbarButtonHover';
		}
	}
	
	function OpenView()
	{
		ShowLoadingUI(true);
		blnIsNormalUnload=true;
	}
	
	function ShowLoadingUI(blnVisible)
	{
		var objLoadingOverlay=document.getElementById("loadingOverlay");
		if(objLoadingOverlay){
			if(blnVisible){
				objLoadingOverlay.style.display="";
			}else{
				objLoadingOverlay.style.display="none";
			}
		}
		return true;
	}

	function OpenHelpWindow(strUrl,strWindowName)
	{
		window.open(strUrl,strWindowName,
			'resizable=yes,toolbar=no,directories=no,width=600,height=450');
	}		
	function OpenAboutWindow(strUrl,strWindowName)
	{
		window.open(strUrl,strWindowName,
			'scrollbars=no,resizable=yes,toolbar=no,directories=no,width=380,height=260');
	}
	
	function OnLoadForm()
	{
		objRequest.SetAppRequest(document.applets["MqHttpRequest"]);
		
		SetWelcomeMsgs();
		
		if(m_blnPasswordExpired){
			
			HideViewList();
			
			OpenChildWindow('admin/Default_Admin/HTML/UsersMgr/WCCMqUserMgr.asp?WCI=ChangePassword&OnLogon=1', 
					"ChangePwd", 'resizable=yes,toolbar=no,directories=no', true, 375,300);
		}else{
			
			CheckViewsExist();
				
			OnViewsListLoaded();
		}
	}
	
	function SetWelcomeMsgs()
	{
		SetWelcomeMsg("welcomeMsg", "WELCOME_MSG")
		SetWelcomeMsg("welcomeMsg2", "WELCOME_MSG_2")
	}
	
	function SetWelcomeMsg(strDiv, strResX)
	{
		var objWelcome=document.getElementById(strDiv);
		var strUser="<WC@USER_FULL_NAME></WC@USER_FULL_NAME>";
		
		if(objWelcome){
			var strMsg=g_MqRef.RESX[strResX];
			objWelcome.innerHTML=g_MqRef.MqStr.FormatString(strMsg,strUser);
		}
	}

	function HideViewList()
	{
		var objHTMLTbl=document.getElementById("tblAvailableViews");
		
		if (objHTMLTbl){
			objHTMLTbl.style.display="none";
			ShowNoViewsMsg()
		}
	}

	function CheckViewsExist()
	{
		var objHTMLTbl=document.getElementById("tblAvailableViews");
		
		if (objHTMLTbl){
			if (objHTMLTbl.rows){
				if(objHTMLTbl.rows.length==0){
					ShowNoViewsMsg();
				}
			}
		}
	}
	
	function ShowNoViewsMsg()
	{
		var objNoViewsArea=document.getElementById("divNoViews");
		
		if(objNoViewsArea){
			objNoViewsArea.innerHTML="There are no views available";
		}
	}
	
	function OnViewsListLoaded()
	{
		var objHTMLTbl=document.getElementById("tblAvailableViews");
		var LINK_CELL=1;
		var FIRST_ROW=0;
		
		if (objHTMLTbl){
			if (objHTMLTbl.rows){
				var objHTMLRows=objHTMLTbl.rows;

                var lngSelectFirstView=objHTMLRows.length==1;

				if (objHTMLRows.length>0){
					var objHTMLRow=objHTMLRows.item(FIRST_ROW);
					
					if (objHTMLRow){
						var objLinkCell =objHTMLRow.cells.item(LINK_CELL);
						
						if (objLinkCell){
						    var arrLinks= objLinkCell.getElementsByTagName("a");
                  		    if(arrLinks.length>0){
                                var objLink=arrLinks[0];
							    if (objLink){
							        if (lngSelectFirstView){
								        objLink.onclick();
							        }else{
							        	objLink.focus();
									}
							    }
							}
						}
					}
				
				}
			}
		}
			
	}
		
	function OnUnloadForm()
	{
		// If the user did not click on a view, then call the 
		// timeout process on the server.
		if (!blnIsNormalUnload){
			var strUrlPath=strCurrentLocation+"validatelogon.ASP?WCI=wciLogoff";
			objRequest.Get(strUrlPath);
		}
	
	}

	function exit()
	{
		var strUrlPath=strCurrentLocation+"validatelogon.ASP?WCI=wciLogoff&Exit=1";
		blnIsNormalUnload=true;
		document.location.replace(strUrlPath);
	}
	
	function OpenWidgetLibrary()
	{
		if(m_blnWidgetLibraryWindow) 
		{
			window.open('dashboard/WidgetLibrary.aspx', '', 'scrollbars=no,resizable=no,toolbar=no,directories=no,width=800,height=650');
		}
		else
		{
			OpenModalWindow("dashboard/WidgetLibrary.aspx", 800, 650, false);
			
		}
	}
	
	function OpenSysConfig()
	{
		OpenModalWindow("Configuration%5FConfiguration/HTML/censusmain.asp?View=Configuration%2FConfiguration&State=2", 800, 650, true);
	}
	
	function Center(strHTMLID,fHorizontally,fVertically)
	{
		if (strHTMLID.length>0){
			var objHTML=document.getElementById(strHTMLID);
				
			if (objHTML){
					
				if (fHorizontally){	
					var intBodyWidth;
					if (document.all){
						intBodyWidth=document.body.offsetWidth;
					}else{
						intBodyWidth=window.innerWidth;
					}
					objHTML.style.left=(intBodyWidth)/2 - (objHTML.offsetWidth)/2 + "px";
				}					
					
				if (fVertically){
					var intBodyHeight;
					if (document.all){
						if (document.documentElement && document.documentElement.offsetHeight){
							intBodyHeight=document.documentElement.offsetHeight;
						}else{
							intBodyHeight=document.body.offsetHeight;
						}
					}else{
						intBodyHeight=window.innerHeight;
					}
					objHTML.style.top=(intBodyHeight)/2 - (objHTML.offsetHeight)/2 + "px";
				}
					
			}
		}
	}
	

function closeProgressIndicator()
{
    ShowLoadingUI(false);
}



</script>

<style type="text/css">
html, body {
  overflow: hidden;
}




</style>


</head>

<body onload="OnLoadForm();" onunload="OnUnloadForm();" onresize="Center('tblFrame',true,true);" class="LogonBody">
	<script type="text/javascript">
		objRequest.WriteAppletHTML("./applets/",document);
	</script>
	<div id="loadingOverlay" class="ui-widget-overlay" style="width:100%;height:100%;z-index:1001"><img src="theme/images/images/icon_wait.gif" style="position:absolute; left:50%; top:50%;"/></div>

	<div class="TopToolBar" style="margin:10px;">
		<table width="100%" class="TopToolBar">
			<tr>
				<td align="left" width="200">
					<img src="theme/images/logos/logo.png" />
				</td>
				<td>
					<div class="Welcome" id="welcomeMsg">
						
					</div>
				</td>
				<td align="right" width="200">	
					&#160;
				</td>
			</tr>
		</table>
	</div>
			
	<div class="ToolbarButtonBar" style="margin:10px">
		<table>
			<tr>
				<!--td>									
					<div class="ToolbarButton" onmouseover="this.className = strClassToolbarbuttonHover" onmouseout="this.className='ToolbarButton'" onclick="OpenSysConfig();">
						<table width="100%" border="0">
							<tr>
								<td class="ToolbarButtonImg"><script type="text/javascript">document.write('<img src="theme/images/buttons/sysconfig.png" title="' + g_MqRef.RESX["TTOOLBAR.SYSTEM_TT"] + '" />')</script></td>
							</tr>
							<tr>
								<td class="ToolbarButton"><script type="text/javascript">document.write(g_MqRef.RESX["TTOOLBAR.SYSTEM"])</script></td>
							</tr>
						</table>
					</div>
				</td-->
				
				<td>									
					<div class="ToolbarButton" onmouseover="this.className = strClassToolbarbuttonHover" onmouseout="this.className='ToolbarButton'" onclick="OpenWidgetLibrary();">
						<table width="100%" border="0">
							<tr>
								<td class="ToolbarButtonImg"><script type="text/javascript">document.write('<img src="theme/images/buttons/widgets.png" title="' + g_MqRef.RESX["TTOOLBAR.MODIFY_TT"] + '" />')</script></td>
							</tr>
							<tr>
								<td class="ToolbarButton"><script type="text/javascript">document.write(g_MqRef.RESX["TTOOLBAR.MODIFY"])</script></td>
							</tr>
						</table>
					</div>
				</td>



				<!--td>									
					<div class="ToolbarButton" onmouseover="this.className = strClassToolbarbuttonHover" onmouseout="this.className='ToolbarButton'" onclick="OpenHelpWindow('help/index.htm','help');">
						<table width="100%" border="0">
							<tr>
								<td class="ToolbarButtonImg"><script type="text/javascript">document.write('<img src="theme/images/buttons/Helpl_on.gif" title="' + g_MqRef.RESX["TTOOLBAR.HELP"] + '" />')</script></td>
							</tr>
							<tr>
								<td class="ToolbarButton"><script type="text/javascript">document.write(g_MqRef.RESX["TTOOLBAR.HELP"])</script></td>
							</tr>
						</table>
					</div>
				</td-->


				<td>									
					<div class="ToolbarButton" onmouseover="this.className = strClassToolbarbuttonHover" onmouseout="this.className='ToolbarButton'" onclick="exit();">				
						<table width="100%" border="0">
							<tr>
								<td class="ToolbarButtonImg"><img src="theme/images/buttons/exit_off.gif" /></td>
							</tr>
							<tr>
								<td class="ToolbarButton"><script type="text/javascript">document.write(g_MqRef.RESX["TTOOLBAR.LOGOFF"])</script></td>
							</tr>
						</table>
					</div>
				</td>
			</tr>
			
			<tr>
				<td colspan="2">
					<div class="Welcome" id="welcomeMsg2" style="font-size:8pt; font-face:Open Sans, sans-serif;color:#666666;padding-top:10px">
						
					</div>
				</td>
			</tr>
		</table>
	</div>
	<!--div id="tblFrame" style="position:absolute;z-index: 100;">
		<div id="loading" class="loadingBoxDiv">
			<div class="LoadingForm">
				<img src="Theme/images/images/ProgressBar.gif"/><br /><br />
				<div class="LogonCaptionLightBG"><script type="text/javascript">document.write(g_MqRef.RESX['LOADING_PLEASE_WAIT']);</script></div>
			</div>
		</div>
	</div-->


	
	<!--[if (IE 9)|!(IE)]><!--> 
	<iframe src="dashboard/dashboard.aspx?UN=<WC@USERNAME></WC@USERNAME>&SG=<WC@SIG></WC@SIG>" id="fraDashboard" name="fraDashboard" onload="closeProgressIndicator()" frameborder="0" scrolling="auto" marginwidth="0" marginheight="0" style="position:absolute; top:110px; bottom:10px; margin: 0px 10px 0px 10px; width:98.2%; height:80%;"></iframe>
	<!--<![endif]-->
	
	<!--[if lte IE 8]>
		<div class="dashboardContainerIE">		
		<iframe src="dashboard/dashboard.aspx?UN=<WC@USERNAME></WC@USERNAME>&SG=<WC@SIG></WC@SIG>" id="fraDashboard" name="fraDashboard" onload="closeProgressIndicator()" frameborder="0" scrolling="auto" marginwidth="0" marginheight="0" style="width:100%; height:99%;" AllowTransparency="True"></iframe>
		</div>
    <![endif]-->
    
    <!--[if (IE 9)|!(IE)]><!--> 
	<div class="demo">
	<!--<![endif]-->
	
	<!--[if lte IE 8]>
	<div class="demo" style="display: none">
	<![endif]-->
		<div id="dialog-modal" style="width:100%;height:100%;padding:0px;margin:0px;overflow:hidden">
			<iframe id="dialog-modal-url" width="100%" height="100%" marginWidth="0" marginHeight="0" frameBorder="0" scrolling="auto"></iframe>
		</div>
		<div id="dialog-modal-orig-width" name="dialog-modal-orig-width" style="display:none"></div>
		<div id="dialog-modal-orig-height" name="dialog-modal-orig-height" style="display:none"></div>
	</div>
	<script type="text/javascript">
		Center("tblFrame",true,true);
	</script>

</body>
</html>











